Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
Reference for the API
Retrieve statistics of workflow tests.
cURL
curl --request GET \ --url https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/stats
import requests url = "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/stats" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/stats', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/stats", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/stats" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/stats") .asString();
require 'uri' require 'net/http' url = URI("https://api.example.com/apps/{app_id}/workflows/{workflow_id}/tests/stats") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body
{ "total_count": 123, "running_count": 123, "cancelled_count": 123, "passing_count": 123, "failing_count": 123, "expectations_failing_count": 123, "expectations_passing_count": 123 }
The ID of the app
The ID of the workflow
Statistics about workflow tests
Total number of workflow tests
Number of running workflow tests
Number of cancelled workflow tests
Number of passing workflow tests
Number of failing workflow tests
Number of expectations failing in workflow tests
Number of expectations passing in workflow tests
Was this page helpful?